require 'spec_helper'

describe Smslist do

  describe '.new' do
    it 'is a Smslist::Client' do
      expect(Smslist.new).to be_a Smslist::Client
    end
  end

  describe '.method_missing' do
    context 'delegates to new client' do
      let(:client) { Smslist }
      it 'delegates method to Smslist::Client' do
        expect(client.respond_to?(:configure)).to eq(true)
      end
    end

    context 'delegates to Smslist' do
      let(:client) { Smslist.new }
      it 'delegates method to Smslist::Client' do
        expect(client.respond_to?(:balance)).to eq(true)
      end
    end
  end

  describe '.respond_to?' do
    it 'is true if method exists' do
      expect(Smslist.respond_to?(:new, true)).to eq(true)
    end
  end

end